%global modname contextlib2

Name:               python-%{modname}
Version:            21.6.0
Release:            %mkrel 3
Summary:            Backports and enhancements for the contextlib module

Group:              Development/Python
License:            Python
URL:                https://pypi.io/project/contextlib2
Source0:            https://pypi.io/packages/source/c/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      python3-devel
BuildRequires:      python3dist(setuptools)
BuildRequires:      python3dist(pytest)

%description
contextlib2 is a backport of the standard library's contextlib module to
earlier Python versions.

It also serves as a real world proving ground for possible future
enhancements to the standard library version.

%package -n python3-%{modname}
Summary:            Backports and enhancements for the contextlib module
Group:              Development/Python
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
contextlib2 is a backport of the standard library's contextlib module to
earlier Python versions.

It also serves as a real world proving ground for possible future
enhancements to the standard library version.

%prep
%setup -q -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
#%%pytest

%files -n python3-%{modname} -f %{pyproject_files}
%doc README.rst VERSION.txt NEWS.rst
%license LICENSE.txt



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 21.6.0-3.mga10
+ Revision: 2238256
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 21.6.0-2.mga10
+ Revision: 2154562
- rebuild for python3.13

* Sun Dec 10 2023 daviddavid <daviddavid> 21.6.0-1.mga10
+ Revision: 2017053
- new version: 21.6.0
- switch to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 0.5.5-11.mga9
+ Revision: 1822526
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.5.5-10.mga9
+ Revision: 1774254
- Rebuild for python-3.10

* Mon Mar 15 2021 neoclust <neoclust> 0.5.5-9.mga9
+ Revision: 1703249
- Rebuild against python 3.9

* Sun Feb 16 2020 wally <wally> 0.5.5-8.mga8
+ Revision: 1533006
- BR python3-setuptools

* Sun Feb 16 2020 umeabot <umeabot> 0.5.5-7.mga8
+ Revision: 1530742
- Mageia 8 Mass Rebuild

* Thu Sep 05 2019 wally <wally> 0.5.5-6.mga8
+ Revision: 1437540
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.5.5-5.mga7
+ Revision: 1352279
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.5-4.mga7
+ Revision: 1288515
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.5.5-3.mga7
+ Revision: 1135349
- Rebuild for python 3.6

* Sun May 14 2017 ngompa <ngompa> 0.5.5-2.mga6
+ Revision: 1101028
- Port to Mageia
- imported package python-contextlib2


* Tue Apr 25 2017 Sander Hoentjen <sander@hoentjen.eu> - 0.5.5-1
- new version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 12 2016 Charalampos Stratakis <cstratak@redhat.com> - 0.5.4-2
- Rebuild for Python 3.6

* Tue Sep 27 2016 Ralph Bean <rbean@redhat.com> - 0.5.4-1
- new version

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon May 02 2016 Ralph Bean <rbean@redhat.com> - 0.5.3-1
- new version

* Fri Apr 01 2016 Sander Hoentjen <sander@hoentjen.eu> 0.5.1-1
- Update to latest upstream (#1297768)
- add BuildReq for python-unittest2 for tests to pass
- skip some tests on el6 because python-unittest2 is too old there

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Apr 11 2015 Ralph Bean <rbean@redhat.com> - 0.4.0-1
- Initial package for Fedora
